Subject: Re: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Stefan Kangas <[email-masked]>
Date: Tue, 11 Feb 2025 07:45:09 -0800

Alvaro Ramirez <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Can we make the "Share..." context menu item a submenu of the
>> first one
>> on supported systems?
>
> I think so, but to make sure I'm understanding correctly, it would
> look something like either of the following options.
>
> Btw, the other menu items I'm showing seem major-mode-dependent. I
> just happen to include what I have for elisp-mode.
>
> Option 1)
>
> Root >
>   ----------
>   | Paste
>   | Select and Paste >
>   | Select >
>   ----------
>   | Go Back
>   | Go Forward
>   ----------
>   | Go Back
>   | Go Forward
>   ----------
>   | Share...
>   ----------
>
> Option 2)
>
> Root >
>   ----------
>   | Paste
>   | Select and Paste >
>   | Select >
>   ----------
>   | Go Back
>   | Go Forward
>   ----------
>   | Go Back
>   | Go Forward
>   ----------
>   | Something new (not sure what to call yet)
>   ---------- |
>              ----------
>              | Share...
>              ----------
>
> If we mean 2), what do we call the new top level category? ;)

I was thinking something along these lines instead:

Option 3)

Root >
  ----------
  | Paste
  | Select and Paste >
  | Select >
  ----------
  | Go Back
  | Go Forward
  ----------
  | Go Back
  | Go Forward
  ----------
  | Share...
  ----------|
            ----------
            | Mail
            | AirDrop
            | etc.
            ----------

If that's not possible, I think option 1 is probably best.